﻿@attribute [Authorize(Roles = "Administrator, superuser")]
@page "/admin/dashboard"
@layout Shared.Admin.MainLayout

@using Dakaris.Client.Helper.CustomComponent

<h3>Dashboard</h3>

<div class="container-fluid">
    <div class="row">
        <div class="col-4">
            @if (pieChartRegisterNurses != null)
            {
                <PieChart ChartTitle="Register Nurses" ChartDataList="@RegisterNursesList" ChartWidth="800" ChartHeigth="800" @ref="pieChartRegisterNurses"></PieChart>
            }

        </div>
        <div class="col-4">
            @if (pieChartPackagesofNurses != null)
            {
                <PieChart ChartTitle="Packages of Nurses" ChartWidth="800" ChartHeigth="800" ChartDataList="@PackagesofNursesList" @ref="pieChartPackagesofNurses"></PieChart>
            }

        </div>
        <div class="col-4">
            @if (pieChartMutualTransfers != null)
            {
                <PieChart ChartTitle="Mutual Transfers" ChartWidth="800" ChartHeigth="800" ChartDataList="@MutualTransfersList" @ref="pieChartMutualTransfers"></PieChart>
            }

        </div>
    </div>
</div>

@code {

}
